Page MenuHomePhabricator

Data Type URL should accept mail links
Closed, ResolvedPublic

Description

mailto:someone@example.com is not accepted by URL type properties, but should be.

Event Timeline

WMDE-Fisch raised the priority of this task from to Needs Triage.
WMDE-Fisch updated the task description. (Show Details)
WMDE-Fisch added a subscriber: WMDE-Fisch.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2015, 3:03 PM
Bugreporter triaged this task as Unbreak Now! priority.Mar 1 2015, 10:47 AM
Bugreporter added a subscriber: Bugreporter.

There're a property for email https://www.wikidata.org/wiki/Property:P968, which is unused https://www.wikidata.org/w/index.php?title=Special%3AWhatLinksHere&target=Property%3AP968&namespace=0 because of this. As arbitrary access is coming, we need to fix it as we can use it in Wikivoyage.

Lydia_Pintscher lowered the priority of this task from Unbreak Now! to High.Mar 1 2015, 11:09 AM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

This is important but the site isn't going down because of it :)

@Lydia_Pintscher This should be very easy to fix, similar to https://gerrit.wikimedia.org/r/#/c/172545, but I don't know how to use Git or Gerrit Patch Uploader.

Change 193669 had a related patch set uploaded (by Gerrit Patch Uploader):
Add mailto to the allowed URL schemas In I86cff20, Thiemo Mättig (WMDE) says: "Please note that I currently don't want to add mailto by default, mainly for privacy reasons."

https://gerrit.wikimedia.org/r/193669

Succeeded to upload after several tries.

Sweet! I added some reviewers to get it through quickly. Thank you!

Change 193669 merged by jenkins-bot:
Add mailto to the allowed URL schemas

https://gerrit.wikimedia.org/r/193669

JanZerebecki closed this task as Resolved.Mar 2 2015, 4:35 PM
JanZerebecki set Security to None.
JanZerebecki moved this task from Backlog to Done on the § Wikidata-Sprint-2015-02-25 board.